Bug 1222485 (CVE-2015-4024) - CVE-2015-4024 php: multipart/form-data request parsing CPU usage DoS
Summary: CVE-2015-4024 php: multipart/form-data request parsing CPU usage DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-4024
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1223402 1228052 1228053 1228054 1228055 1228056 1228057 1228058 1228059 1228060 1228061
Blocks: 1222994
TreeView+ depends on / blocked
 
Reported: 2015-05-18 10:54 UTC by Robin Lee
Modified: 2019-09-29 13:32 UTC (History)
5 users (show)

Fixed In Version: php 5.4.41, php 5.5.25, php 5.6.9
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way PHP parsed multipart HTTP POST requests. A specially crafted request could cause PHP to use an excessive amount of CPU time.
Clone Of:
Environment:
Last Closed: 2015-07-09 21:49:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1135 normal SHIPPED_LIVE Important: php security and bug fix update 2015-06-23 12:11:40 UTC
Red Hat Product Errata RHSA-2015:1186 normal SHIPPED_LIVE Important: php55-php security update 2015-06-25 12:31:54 UTC
Red Hat Product Errata RHSA-2015:1187 normal SHIPPED_LIVE Important: rh-php56-php security update 2015-06-25 12:43:17 UTC
Red Hat Product Errata RHSA-2015:1218 normal SHIPPED_LIVE Moderate: php security update 2015-07-09 21:01:41 UTC
Red Hat Product Errata RHSA-2015:1219 normal SHIPPED_LIVE Moderate: php54-php security update 2015-07-09 22:53:28 UTC

Description Robin Lee 2015-05-18 10:54:53 UTC
Description of problem:
Upstream bug: https://bugs.php.net/bug.php?id=69364
Upstream fixed in 5.6.9/5.5.25/5.4.41.

Comment 2 Vasyl Kaigorodov 2015-05-20 12:57:04 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1223402]

Comment 3 DiDoll 2015-05-25 10:58:29 UTC
When did you release the new rpm for this vulnerability?
We need rpm for the batch upgrade.

Comment 4 Fedora Update System 2015-05-26 03:40:26 UTC
php-5.6.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Tomas Hoger 2015-05-26 20:48:34 UTC
Upstream commit:
http://git.php.net/?p=php-src.git;a=commitdiff;h=4605d536d23b00813d11cc906bb48d39bdcf5f25

A specially-crafted multipart/form-data HTTP request can cause PHP to use an excessive amount of CPU time.  The amount of time spent parsing such malicious request is limited by the max_input_time php.ini setting (the default limit is 60s).  Lowering the limit can be used to mitigate the issue.  Another possible mitigation is to lower post_max_size limit.  However, it may not be practical to lower the value enough to sufficiently mitigate the issue.

Comment 6 Fedora Update System 2015-05-27 16:13:04 UTC
php-5.6.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-05-27 16:23:33 UTC
php-5.5.25-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2015-06-23 08:13:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1135 https://rhn.redhat.com/errata/RHSA-2015-1135.html

Comment 14 errata-xmlrpc 2015-06-25 08:32:30 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2015:1186 https://rhn.redhat.com/errata/RHSA-2015-1186.html

Comment 15 errata-xmlrpc 2015-06-25 08:43:50 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2015:1187 https://rhn.redhat.com/errata/RHSA-2015-1187.html

Comment 16 errata-xmlrpc 2015-07-09 17:07:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1218 https://rhn.redhat.com/errata/RHSA-2015-1218.html

Comment 17 errata-xmlrpc 2015-07-09 18:53:43 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2015:1219 https://rhn.redhat.com/errata/RHSA-2015-1219.html


Note You need to log in before you can comment on or make changes to this bug.